<?php

namespace Drupal\stripe_registration\Event;

use Drupal\Core\Session\AccountInterface;
use Symfony\Component\EventDispatcher\Event;

class StripeCreateSubscribeSessionEvent extends Event {

  public const EVENT_NAME = 'stripe_create_subscribe_session';

  /**
   * The session parameters.
   *
   * @var array
   */
  public $params;

  /**
   * The user account.
   *
   * @var AccountInterface
   */
  public $account;

  /**
   * Constructs the object.
   *
   * @param \Drupal\Core\Session\AccountInterface $account
   *   The account of the user logged in.
   * @param array $params
   */
  public function __construct(AccountInterface $account, array &$params) {
    $this->account = $account;
    $this->params = &$params;
  }
}
